Download it now!
Bug 105531 - Color scale conditional formatting doesn't copy&paste as expected
Summary: Color scale conditional formatting doesn't copy&paste as expected
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2017-01-25 18:30 UTC by Karl
Modified: 2018-02-02 03:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple spreadsheet with conditional formatting (9.15 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-01-25 23:19 UTC, Karl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karl 2017-01-25 18:30:58 UTC
I have a column of reference values in column 'C'. e.g. 
C9 is 400, 
C10 is 200, etc.

In Columns D through N I have values I want to color on a scale: 
Yellow If equal to columns C, red if 1/2 of C, green if 1.5* C.

So I put the cursor on D9 and add the following formatting:

Condition 1
"All Cells" "Color Scale (3 Entries) 
Formula     Formula      Formula
=0.5*$C9    =$C9         =1.5*$C9


OK. Then I select the cell, copy, and "Paste Special"  the formats.
_Just_ the formats, because I don't want the formulas in the cells to change,
just the conditional formatting !

The problem is, that for D10, the condition still refers to C9, not C10.
I would have thought that I should use $C$9 for that, and $C9 would become
$C10 when applied to the next row - that is how formulas normally work.
Comment 1 Xisco Faulí 2017-01-25 19:30:01 UTC
Hello Karl,

Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 Karl 2017-01-25 23:19:07 UTC
Created attachment 130684 [details]
Simple spreadsheet with conditional formatting

Method for obtaining this:
conditional-formatted cell C4 based on $B4.

Copy, Paste special ( only format ) to range C4 - D7 .
Expect D7 formatting to refer to $B7, not $B$4 .
Comment 3 Buovjaga 2017-02-01 19:53:51 UTC
Reproduced with the file. Removed all the pasted formats in Manage and pasted again.

It's pasted a bit differently in 3.6: D7 is referring to C4..

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: b12823aa81003e80372bd89db79bd6ba8e032a95
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 1st 2016

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 4 QA Administrators 2018-02-02 03:36:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug